Package com.pixelmed.dicom

# Class ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

java.lang.Object
com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry
com.pixelmed.dicom.ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry

Enclosing class:
  ProjectionXRayImageLibrary

public static class ProjectionXRayImageLibrary.ProjectionXRayImageLibraryEntry extends ImageLibrary.ImageLibraryEntry

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CodedSequenceItem`
`anatomicalStructure`
`protected String`
`contentDate`
`protected String`
`contentTime`
`protected String`
`horizontalPixelSpacingInMM`
`protected CodedSequenceItem`
`imageLaterality`
`protected CodedSequenceItem`
`imageView`
`protected CodedSequenceItem`
`imageViewModifier`
`protected String`
`patientOrientationColumn`
`protected String`
`patientOrientationRow`
`protected String`
`positionerPrimaryAngleInDegrees`
`protected String`
`positionerSecondaryAngleInDegrees`
`protected String`
`studyDate`
`protected String`
`studyTime`
`protected String`
`verticalPixelSpacingInMM`

### Fields inherited from class com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

`hierarchicalImageReference`

## Constructor Summary

Constructors
Constructor
Description
`ProjectionXRayImageLibraryEntry(AttributeList list)`
`ProjectionXRayImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, Map<String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)`
`ProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference, CodedSequenceItem anatomicalStructure, CodedSequenceItem imageLaterality, CodedSequenceItem imageView, CodedSequenceItem imageViewModifier, String patientOrientationRow, String patientOrientationColumn, String studyDate, String studyTime, String contentDate, String contentTime, String horizontalPixelSpacingInMM, String verticalPixelSpacingInMM, String positionerPrimaryAngleInDegrees, String positionerSecondaryAngleInDegrees)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`constructProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference, CodedSequenceItem anatomicalStructure, CodedSequenceItem imageLaterality, CodedSequenceItem imageView, CodedSequenceItem imageViewModifier, String patientOrientationRow, String patientOrientationColumn, String studyDate, String studyTime, String contentDate, String contentTime, String horizontalPixelSpacingInMM, String verticalPixelSpacingInMM, String positionerPrimaryAngleInDegrees, String positionerSecondaryAngleInDegrees)`
`ContentItem`
`getImageContentItem(ContentItemFactory cif, ContentItem parent)`
Get a new ImageContentItem made from this ImageLibraryEntry to use in an SR tree.
`CodedSequenceItem`
`getImageLaterality()`
`void`
`setImageLaterality(CodedSequenceItem imageLaterality)`
`String`
`toString()`

### Methods inherited from class com.pixelmed.dicom.ImageLibrary.ImageLibraryEntry

`constructImageLibraryEntry`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### anatomicalStructure

protected CodedSequenceItem anatomicalStructure

### imageLaterality

protected CodedSequenceItem imageLaterality

### imageView

protected CodedSequenceItem imageView

### imageViewModifier

protected CodedSequenceItem imageViewModifier

### patientOrientationRow

protected String patientOrientationRow

### patientOrientationColumn

protected String patientOrientationColumn

### studyDate

protected String studyDate

### studyTime

protected String studyTime

### contentDate

protected String contentDate

### contentTime

protected String contentTime

### horizontalPixelSpacingInMM

protected String horizontalPixelSpacingInMM

### verticalPixelSpacingInMM

protected String verticalPixelSpacingInMM

### positionerPrimaryAngleInDegrees

protected String positionerPrimaryAngleInDegrees

### positionerSecondaryAngleInDegrees

protected String positionerSecondaryAngleInDegrees

## Constructor Details

### ProjectionXRayImageLibraryEntry

public ProjectionXRayImageLibraryEntry(ContentItemFactory.ImageContentItem imageContentItem, Map<String,HierarchicalSOPInstanceReference> hierarchicalSOPInstanceReferencesIndexedBySOPInstanceUID)

### ProjectionXRayImageLibraryEntry

public ProjectionXRayImageLibraryEntry(AttributeList list) throws DicomException

Throws:
  `DicomException`

### ProjectionXRayImageLibraryEntry

public ProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference, CodedSequenceItem anatomicalStructure, CodedSequenceItem imageLaterality, CodedSequenceItem imageView, CodedSequenceItem imageViewModifier, String patientOrientationRow, String patientOrientationColumn, String studyDate, String studyTime, String contentDate, String contentTime, String horizontalPixelSpacingInMM, String verticalPixelSpacingInMM, String positionerPrimaryAngleInDegrees, String positionerSecondaryAngleInDegrees)

## Method Details

### getImageLaterality

public CodedSequenceItem getImageLaterality()

### setImageLaterality

public void setImageLaterality(CodedSequenceItem imageLaterality)

### constructProjectionXRayImageLibraryEntry

protected void constructProjectionXRayImageLibraryEntry(HierarchicalImageReference hierarchicalImageReference, CodedSequenceItem anatomicalStructure, CodedSequenceItem imageLaterality, CodedSequenceItem imageView, CodedSequenceItem imageViewModifier, String patientOrientationRow, String patientOrientationColumn, String studyDate, String studyTime, String contentDate, String contentTime, String horizontalPixelSpacingInMM, String verticalPixelSpacingInMM, String positionerPrimaryAngleInDegrees, String positionerSecondaryAngleInDegrees)

### getImageContentItem

public ContentItem getImageContentItem(ContentItemFactory cif, ContentItem parent) throws DicomException
Description copied from class: `ImageLibrary.ImageLibraryEntry`

Get a new ImageContentItem made from this ImageLibraryEntry to use in an SR tree.

Has side effect of adding the fragment to the parent if the parent is not null.

Overrides:
  `getImageContentItem` in class `ImageLibrary.ImageLibraryEntry`
Parameters:
  `cif` - the ContentItemFactory to use
  `parent` - the parent content item (usually the Image Library CONTAINER content item)
Returns:
  the new ImageContentItem
Throws:
  `DicomException` - if error in DICOM encoding

### toString

public String toString()

Overrides:
  `toString` in class `ImageLibrary.ImageLibraryEntry`